Margin Trading Outstanding (Weekly) (/markets/weekly_margin_interest)
You can get Weekly margin trading outstanding.
Overview
You can get the margin transaction balance (number of shares and value) for each stock as of the end of the week.
Attention
Parameter and Response
In your request message, either "code" or "date" must be specified. Combination of parameters in the request and results are as below.
All historical data of a specific issue.
Data of a specific issue for the specified period.
All listed issue data for the specific date.
Get weekly margin trading outstandings
GET https://api.jquants-pro.com/v2/markets/weekly_margin_interest
Either "code" or "date" must be specified.
"*" Required.
Query Parameters
code
String
issue code
(e.g. 27800 or 2780)
If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.
from
String
starting point of data period
(e.g. 20210901 or 2021-09-01)
to
String
end point of data period
(e.g. 20210907 or 2021-09-07)
date
String
date of data
(e.g. 20210907 or 2021-09-07)
pagination_key
String
The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.
Headers
Authorization*
String
Access key
Data Item
Date
Record Date
String
YYYY-MM-DD Base date of margin trading outstandings(usually on Friday)
Code
issue code
String
CompanyName
Company Name (Japanese)
String
CompanyNameEnglish
Company Name (English)
String
ISINCode
ISIN code
String
IssueType
Issue Classifications
String
1: Margin issues,
2: Loan issues,
3: Other issues(non-loan, non-margin)
ShortMarginOutstanding
Total margin trading (negotiable and standardized margin trading) weekend short positions (shares)
Number
LongMarginOutstanding
Total margin trading (negotiable and standardized margin trading) weekend long positions (shares)
Number
ShortNegotiableMarginOutstanding
Negotiable margin trading weekend short positions (shares)
Number
LongNegotiableMarginOutstanding
Negotiable margin trading weekend long positions (shares)
Number
ShortStandardizedMarginOutstanding
Standardized margin trading weekend short positions (shares)
Number
LongStandardizedMarginOutstanding
Standardized margin trading weekend long positions (shares)
Number
ShortMarginOutstandingValue
Total margin trading weekend short positions (value)
Number
Only available for data dated 2026-09-25 or later (null for earlier dates)
LongMarginOutstandingValue
Total margin trading weekend long positions (value)
Number
Only available for data dated 2026-09-25 or later (null for earlier dates)
ShortNegotiableMarginOutstandingValue
Negotiable margin trading weekend short positions (value)
Number
Only available for data dated 2026-09-25 or later (null for earlier dates)
LongNegotiableMarginOutstandingValue
Negotiable margin trading weekend long positions (value)
Number
Only available for data dated 2026-09-25 or later (null for earlier dates)
ShortStandardizedMarginOutstandingValue
Standardized margin trading weekend short positions (value)
Number
Only available for data dated 2026-09-25 or later (null for earlier dates)
LongStandardizedMarginOutstandingValue
Standardized margin trading weekend long positions (value)
Number
Only available for data dated 2026-09-25 or later (null for earlier dates)
Sample Code
Last updated